create table tmp_imp_budgeth
(
kpn varchar2(100),
mail varchar2(100)
)

select 
(select prs_perslid_key from prs_kostenplaats k where k.prs_kostenplaats_nr = i.kpn) kpn_key,
(select prs_perslid_key from prs_perslid where prs_perslid_email = mail) prs_key,
i.* from tmp_imp_budgeth i

update tmp_imp_budgeth set mail = 'kjvanduin@styron.com' where mail = 'kjvanduin2styron.com'

update prs_kostenplaats k set prs_perslid_key = 
(select prs_perslid_key from prs_perslid p, tmp_imp_budgeth i where prs_perslid_email = mail
and k.prs_kostenplaats_nr = i.kpn)
where exists (select kpn from tmp_imp_budgeth i where k.prs_kostenplaats_nr = i.kpn)